or
EN
Language
Country

SearchItems

Description

The SearchItems operation searches for items on Amazon based on a search query. The Amazon Creators API returns up to ten items per search request.

A SearchItems request requires a search category, which, if not specified, defaults to "All" and value for at least one of Keywords, Actor, Artist, Author, Brand or Title for searching items on Amazon.

SearchItems supports the following high-level resources:

Availability

All locales, however, the parameter support varies by locale.

API Features and Best Practices

You can refine SearchItems request to return the results you want. Try different parameter combinations to customize search results. Moreover, the API helps you refine search requests by giving out dynamic search refinements for every search request you make. These dynamic refinements are available as part of searchRefinements resource.

  • You can search by Keywords, Actor, Artist, Author, Brand or Title in any category. However, note that it is mandatory to provide at least one of the above mentioned parameters.

  • SearchItems API supports many request parameters, most of them help in refining search results. For example, use Brand to refine your search results to return products for a specific brand or use MinPrice to return results having at least one offer price greater than the minimum price specified. However, not all parameters are relevant to all search indices. For example, if you specify the Actor, you would not use the Automotive search index.

  • Use the SortBy parameter to return results in a specific order. For example Price:HighToLow sorts the result from most expensive to least expensive.

  • By default, the API searches for products in "All" SearchIndex if not specified. However, use a specific SearchIndex or BrowseNodeId to limit search results by a category or BrowseNode. For a complete list of SearchIndices for a locale, refer Local Reference for Creators API.

Request Parameters {#ItemLookup-rp}

Check Common Request Headers and Parameters for more information on common input parameters. For detailed information on how to create and send a request, refer Using cURL. All SearchItems input parameters are listed below:

NameDescriptionRequired
actorActor name associated with the item. You can enter all or part of the name.
  • Type: String (Non-Empty)
  • Default Value: None
  • Usage: {"actor": "Tom Cruise"}
No
artistArtist name associated with the item. You can enter all or part of the name.
  • Type: String (Non-Empty)
  • Default Value: None
  • Usage: {"artist":"Coldplay"}
No
authorAuthor name associated with the item. You can enter all or part of the name.
  • Type: String (Non-Empty)
  • Default Value: None
  • Usage: {"author":"Enid Blyton"}
No
availabilityFilters available items on Amazon. By default, all requests returns available items only. For more information and valid values, refer Availability Parameter.
  • Type: String
  • Default Value: Available
  • Usage: {"availability":"IncludeOutOfStock"}
No
brandBrand name associated with the item. You can enter all or part of the name.
  • Type: String (Non-Empty)
  • Default Value: None
  • Usage: {"brand":"Apple"}
No
browseNodeIdA unique ID assigned by Amazon that identifies a product category/sub-category. The BrowseNodeId is a positive Long having max value upto Long.MAX_VALUE i.e. 9223372036854775807 (inclusive).
  • Type: String (Positive integers only)
  • Default Value: None
  • Usage: {"browseNodeId": "290060"}
No
conditionThe condition parameter filters offers by condition type. For example, Condition:New will return items having atleast one offer of New condition type. By default, condition equals Any. For more information and valid values, refer Condition Parameter.
  • Type: String
  • Default Value: Any
  • Usage: {"condition":"New"}
No
currencyOfPreferenceCurrency of preference in which the prices information should be returned in response. By default the prices are returned in the default currency of the marketplace. Expected currency code format is the ISO 4217 currency code (i.e. USD, EUR etc.). For information on default currency and valid currencies for a marketplace, refer Locale Reference.
  • Type: String (Non-Empty)
  • Default Value: None
  • Usage: {"currencyOfPreference":"USD"}
No
deliveryFlagsThe delivery flag filters items which satisfy a certain delivery program promoted by the specific Amazon Marketplace. For example, Prime DeliveryFlag will return items having at least one offer which is Prime Eligible. For more information and valid values, refer DeliveryFlags Parameter.
  • Type: List of Strings
  • Default Value: None
  • Usage: {"deliveryFlags":["Prime"]}
No
itemCountThe number of items desired in SearchItems response.
  • Type: Integer (Between 1 to 10)
  • Default Value: 10
  • Usage: {"itemCount":5}
No
itemPageThe ItemPage parameter can be used to fetch the specific set/page of items to be returned from the available Search Results. The number of items returned in a page is determined by the ItemCount parameter. For e.g. if the third set of 5 items (i.e. items numbered 11 to 15) are desired for a search request, you may specify ItemPage as 3 and ItemCount as 5.
  • Type: Integer (Between 1 to 10)
  • Default Value: 1
  • Usage: {"itemPage":3}
No
keywordsA word or phrase that describes an item i.e. the search query.
  • Type: String (Non-Empty)
  • Default Value: None
  • Usage: {"keywords":"Harry Potter"}
No
languagesOfPreferenceLanguages in order of preference in which the item information should be returned in response. By default the item information is returned in the default language of the marketplace. Expected locale format is the ISO 639 language code followed by underscore followed by the ISO 3166 country code (i.e. enUS, frCA etc.). For information on default language and valid languages for a marketplace, refer Locale Reference. Currently only single language of preference is supported.
  • Type: List of Strings (Non-Empty)
  • Default Value: None
  • Usage: {"languagesOfPreference":["en_GB"]}
No
marketplaceTarget Amazon Locale. For more information, refer Common Request Headers and Parameters.
  • Type: String
  • Default Value: None
  • Usage: {"marketplace":"www.amazon.com"}
No
maxPriceFilters search results to items with at least one offer price below the specified value. Prices appear in lowest currency denomination. For example, in US marketplace, 3241 is $31.41.
  • Type: Positive Integer
  • Default Value: None
  • Usage: {"maxPrice":3241}
No
minPriceFilters search results to items with at least one offer price above the specified value. Prices appear in lowest currency denomination. For example, in US marketplace, 3241 is $32.41.
  • Type: Positive Integer
  • Default Value: None
  • Usage: {"minPrice":3241}
No
minReviewsRatingFilters search results to items with customer review ratings above specified value.
  • Type: Positive Integer less than 5
  • Default Value: None
  • Usage: {"minReviewsRating":2}
No
minSavingPercentFilters search results to items with at least one offer having saving percentage above the specified value.
  • Type: Positive Integer less than 100
  • Default Value: None
  • Usage: {"minSavingPercent":50}
No
partnerTagUnique ID for a partner. For more information, refer Common Request Headers and Parameters.
  • Type: String (Non-Empty)
  • Default Value: None
  • Usage: {"partnerTag":"xyz-20"}
Yes
propertiesReserved Parameter.
  • Type: Map (String, String)
  • Default Value: None
  • Usage: {"properties": {"Key": "Value"} }
No
resourcesSpecifies the types of values to return. You can specify multiple resources in one request. For list of valid Resources for SearchItems operation, refer Resources Parameter.
  • Type: List of String
  • Default Value: itemInfo.title
  • Usage: {"resources":["images.primary.medium", "itemInfo.title"]}
No
searchIndexIndicates the product category to search. SearchIndex values differ by marketplace. For list of search index values, refer Locale Reference.
  • Type: String (Non-Empty)
  • Default Value: All
  • Usage: {"searchIndex":"Electronics"}
No
sortByThe way in which items in the response are sorted. For more information on valid values, refer SortBy Parameter.
  • Type: String
  • Default Value: None
  • Usage: {"sortBy":"Relevance"}
No
titleTitle associated with the item. Title searches are subset of Keywords searches. Use a Keywords search if a Title search does not return desired items.
  • Type: String (Non-Empty)
  • Default Value: None
  • Usage: {"title":"And Then There Were None"}
No

Availability Parameter

Availability ValueDescription
AvailableOnly available items
IncludeOutOfStockInclude Out of Stock items

Condition Parameter

Note that, a search request with a particular Condition parameter may return 0 results if there are no offers with the specified condition in the search results.

Condition ValueDescription
AnyOffer Listings for items across any condition. Includes New and Used.
NewOffer Listings for New items

DeliveryFlags Parameter

Note that a search request with a particular DeliveryFlag may result into 0 items if any of the specified Delivery Program is not supported in the target Amazon marketplace.

DeliveryFlag ValueDescription
AmazonGlobalA delivery program featuring international shipping to certain Exportable Countries
FreeShippingA delivery program featuring free shipping of an item
FulfilledByAmazonFulfilled by Amazon indicates that products are stored, packed and dispatched by Amazon
PrimeAn offer for an item which is eligible for Prime Program

Resources Parameter

Resource ValueDescription
browseNodeInfo.browseNodesGet the browse nodes associated with the item. Using this resource only will return Id, DisplayName, ContextFreeName and IsRoot information associated with each browse node. For more information, refer BrowseNodeInfo Resources.
browseNodeInfo.browseNodes.ancestorGet the Ancestry ladder associated with each of the browse nodes the item falls under. Using this resource will return ancestry ladder along with Id, DisplayName, ContextFreeName and IsRoot information associated with each browse node. For more information, refer BrowseNodeInfo Resources.
browseNodeInfo.browseNodes.salesRankGet the SalesRank information with each of the browse nodes the item falls under. Using this resource will return sales rank along with Id, DisplayName, ContextFreeName and IsRoot information associated with each browse node. For more information, refer BrowseNodeInfo Resources.
browseNodeInfo.websiteSalesRankGet WebsiteSalesRank information associated with the item. For more information, refer BrowseNodeInfo Resources.
images.primary.smallReturns small-sized primary image for each item. For more information, refer Images Resources
images.primary.mediumReturns medium-sized primary image for each item. For more information, refer Images Resources
images.primary.largeReturns large-sized primary image for each item. For more information, refer Images Resources
images.variants.smallReturns small-sized variant images for each item. For more information, refer Images Resources
images.variants.mediumReturns medium-sized variant images for each item. For more information, refer Images Resources
images.variants.largeReturns large-sized variant images for each item. For more information, refer Images Resources
itemInfo.byLineInfoReturns set of attributes that specifies basic information of the item. For more information, refer ItemInfo Resources
itemInfo.classificationsReturns set of attributes that are used to classify an item into a particular category. For more information, refer ItemInfo Resources
itemInfo.contentInfoReturns set of attributes that are specific to the content like Books, Movies, etc. For more information, refer ItemInfo Resources
itemInfo.contentRatingReturns set of attributes that specifies what age group is suitable to view said media. For more information, refer ItemInfo Resources
itemInfo.externalIdsReturns set of identifiers that is used globally to identify a particular product. For more information, refer ItemInfo Resources
itemInfo.featuresReturns set of attributes that specifies an item's key features and benefits. For more information, refer ItemInfo Resources
itemInfo.manufactureInfoReturns set of attributes that specifies manufacturing related information of an item. For more information, refer ItemInfo Resources
itemInfo.productInfoReturns set of attributes that describe non-technical aspects of an item. For more information, refer ItemInfo Resources
itemInfo.technicalInfoReturns set of attributes that describes the technical aspects of the item. For more information, refer ItemInfo Resources
itemInfo.titleReturns the title of the product. For more information, refer ItemInfo Resources
itemInfo.tradeInInfoReturns set of attributes that specifies trade-in information of an item. For more information, refer ItemInfo Resources
offersV2.listings.availabilityReturns maximum number of quantity that can be purchased for a product. For more information, refer to OffersV2 Resources
offersV2.listings.conditionReturns condition of the product. For more information, refer to OffersV2 Resources
offersV2.listings.dealDetailsReturns deal information. For more information, refer to OffersV2 Resources
offersV2.listings.isBuyBoxWinnerReturns whether the given offer for the product is buy box winner on the detail page of the product. For more information, refer to OffersV2 Resources
offersV2.listings.loyaltyPointsReturns loyalty points related information for an offer (Currently only supported in Japan marketplace). For more information, refer to OffersV2 Resources
offersV2.listings.merchantInfoReturns seller information for the offer of the product. For more information, refer to OffersV2 Resources
offersV2.listings.priceReturns offer buying price of a product. For more information, refer to OffersV2 Resources
offersV2.listings.typeReturns offer type. For more information, refer to OffersV2 Resources
ParentASINReturns the parent ASIN for a given item. For more information, refer ParentASIN Resource
searchRefinementsReturns dynamic search refinements for each search request. For more information, refer searchRefinements Resource

SortBy Parameter

Note that, if no SortBy parameter is provided in the search request, the results are sorted in default sort option for the Marketplace and SearchIndex combination. A particular SortBy parameter provided in the search request will fall back to the default sort option for the category if it is not supported in that category.

SortBy ValueDescription
AvgCustomerReviewsSorts results according to average customer reviews
FeaturedSorts results with featured items having higher rank
NewestArrivalsSorts results with according to newest arrivals
Price:HighToLowSorts results according to most expensive to least expensive
Price:LowToHighSorts results according to least expensive to most expensive
RelevanceSorts results with relevant items having higher rank

Response Elements

The following are common response elements returned:

NameDescription
errorsOptional array of error objects for items or query parameters that encountered issues. Only present when partial failures occur.
searchResultContainer for search result. It contains items container, totalResultCount, searchURL and searchRefinements container.
itemsContainer for item information including ASIN, Title and other attributes depending on resources requested.
totalResultCountThe total number of items that match the search query.
searchURLURL to link back to search results page on Amazon for the search request.
searchRefinementsContainer for searchRefinements resource if requested.

Example Requests

  • General keyword search request:

{
   "partnerTag": "xyz-20",
   "keywords": "harry potter"
}
  • General keyword search using ItemCount and Resources parameter:

{
   "partnerTag": "xyz-20",
   "keywords": "harry potter",
   "itemCount": 1,
   "resources": ["images.primary.medium", "itemInfo.title", "offersV2.listings.price"]
}
  • Search by Actor:

{
   "partnerTag": "xyz-20",
   "actor": "Tom Cruise",
   "resources": ["images.primary.medium", "itemInfo.title", "offersV2.listings.price"]
}
  • Search inside a category with some filters applied:

{
   "partnerTag": "xyz-20",
   "searchIndex": "Electronics",
   "keywords": "DSLR Camera",
   "brand": "Sony",
   "minReviewsRating": "4",
   "resources": ["images.primary.medium", "itemInfo.title", "offersV2.listings.price"]
}

Sample Response

  • The following snippet is a sample response for any SearchItems request:

{ 
 "searchResult": {
  "items": [
   {
    "asin": "0545162076",
    "detailPageURL": "https://www.amazon.com/dp/0545162076?tag=dgfd&linkCode=osi",
    "images": {
       /* Container for Images Resources if requested*/
    },
    "itemInfo": {
       /* Container for ItemInfo Resources if requested */
    },
    "offers": {
       /* Container for Offers Resources if requested */
    },
    {
       /* More items */
    }
   }
  ],
  "searchRefinements": {
      /* Container for searchRefinements Resources if requested */
  }
  "searchURL": "https://www.amazon.com/s/?field-keywords=Harry+Potter&search-alias=aps&tag=dgfd&linkCode=osi",
  "totalResultCount": 146
 }
}
  • The following snippet is a sample response for the second SearchItems request in the Example Requests section above:

{
 "searchResult": {
  "items": [
   {
    "asin": "0545162076",
    "detailPageURL": "https://www.amazon.com/dp/0545162076?tag=dgfd&linkCode=osi",
    "images": {
     "primary": {
      "medium": {
       "height": 134,
       "url": "https://m.media-amazon.com/images/I/51BBTJaU6QL._SL160_.jpg",
       "width": 160
      }
     }
    },
    "itemInfo": {
     "title": {
      "displayValue": "Harry Potter Paperback Box Set (Books 1-7)",
      "label": "title",
      "locale": "en_US"
     }
    },
     "offersV2": {
       "listings": [{
         "availability": {
           "maxOrderQuantity": 1,
           "minOrderQuantity": 1,
           "type": "IN_STOCK"
         },
         "condition": {
           "conditionNote": "",
           "subCondition": "Unknown",
           "value": "New"
         },
         "dealDetails": {
           "accessType": "PRIME_EXCLUSIVE",
           "endTime": "2024-11-06T05:35Z",
           "percentClaimed": 38,
           "startTime": "2024-11-05T18:05Z"
         },
         "isBuyBoxWinner": true,
         "merchantInfo": {
           "name": "Amazon.com"
         },
         "price": {
           "money": {
             "amount": 59.49,
             "currency": "USD",
             "displayAmount": "$59.49"
           },
           "pricePerUnit": {
             "amount": 29.75,
             "currency": "USD",
             "displayAmount": "$29.75 / Count"
           },
           "savingBasis": {
             "money": {
               "amount": 69.99,
               "currency": "USD",
               "displayAmount": "$69.99"
             },
             "savingBasisType": "LIST_PRICE",
             "savingBasisTypeLabel": "List Price"
           },
           "savings": {
             "money": {
               "amount": 10.5,
               "currency": "USD",
               "displayAmount": "$10.50"
             },
             "percentage": 15
           }
         },
         "type": "LIGHTNING_DEAL",
         "violatesMAP": false
       }]
     }
   }
  ],
  "searchURL": "https://www.amazon.com/s/?field-keywords=Harry+Potter&search-alias=aps&tag=dgfd&linkCode=osi",
  "totalResultCount": 146
 }
}